package com.gxzc.zen.api.sys.model

import com.baomidou.mybatisplus.annotations.TableName
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 资源表
 * </p>
 *
 * @author NorthLan
 * @since 2018-04-28
 */
@TableName("sys_resource")
open class SysResource : BaseModel() {
    /**
     * 上级菜单ID(root:0)
     */
    var parentId: Long? = null
    /**
     * 关联菜单id(可不关联)
     */
    var menuId: Long? = null
    /**
     * 资源类型 （1.按钮；2.资源；）
     */
    var type: Int? = null
    /**
     * 资源编码
     */
    var code: String? = null
    /**
     * 请求地址（后端）
     */
    var uri: String? = null
    /**
     * 资源名称
     */
    var name: String? = null
    /**
     * 路径枚举
     */
    var path: String? = null
    /**
     * 请求类型
     */
    var method: String? = null
    /**
     * 描述
     */
    var description: String? = null
    /**
     * 扩展字段1
     */
    var ext1: String? = null
    /**
     * 扩展字段2
     */
    var ext2: String? = null
    /**
     * 扩展字段3
     */
    var ext3: String? = null
    /**
     * 扩展字段4
     */
    var ext4: String? = null
    /**
     * 扩展字段5
     */
    var ext5: String? = null
}
