package com.gxzc.zen.rpc.api.sys

import com.gxzc.zen.api.sys.model.SysUploadInfo

/**
 *
 * @author NorthLan
 * @date 2018/6/20
 * @url https://noahlan.com
 */
interface RUploadService {
    /**
    * 获取某上传批次所有文件数据
    */
    fun getUploadInfosByBatchId(batchId: String): MutableList<SysUploadInfo>

    /**
     * 通过id获取单条 文件数据
     */
    fun getUploadInfoById(id: Long): SysUploadInfo?

    /**
     * 通过ids获取 文件数据 列表
     */
    fun getUploadInfoListByIdList(ids: Collection<Long>): MutableList<SysUploadInfo>
}